Skip to main content
`Ctrl`+`K`

# KSPGetGuess

Gets the initial guess generator for the `KSP`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGetGuess(KSP ksp, KSPGuess *guess)

Not Collective

## Input Parameter

- ksp - the Krylov context

## Output Parameter

- guess - the object

## See Also

KSP: Linear System Solvers, `KSPGuess`, `KSP`, `KSPSetOptionsPrefix()`, `KSPAppendOptionsPrefix()`, `KSPSetUseFischerGuess()`, `KSPSetGuess()`

## Level

developer

## Location

src/ksp/ksp/interface/itcl.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages